import { defineStore } from 'pinia';
import { ref } from 'vue'

export const useUserStore = defineStore('user', () => {
	const userInfo = ref({});
	const userId = ref(0);
	
	function setUserInfo(info) {
		userInfo.value = info;
		userId.value = info.studentid
	}
	
	return { userInfo, userId, setUserInfo };
})
